Tuesday, 21 August 2018

Re: Transition of LXD from deb to snap

On 21.08.2018 16:56, Stéphane Graber wrote:
> On Tue, Aug 21, 2018 at 11:46:34AM +0200, Matthias Klose wrote:
>> On 20.08.2018 23:13, Stéphane Graber wrote:
>>> If you're running downstream software which interacts with LXD, I'd
>>> strongly recommend you try switching to the snap, either using the
>>> package in that PPA or manually by installing the LXD snap and then
>>> running "lxd.migrate".
>>
>> there are (and for are for a while) currently failing lxd autopkg tests
>> triggered by other packages (see update_excuses). What's the future of these?
>> Short term fixing those please, and long term?
>
> LXD 3.0.2 which we'll be uploading this week has a "fix" for those
> errors (effectively shellcheck becoming more verbose).
>
> The empty LXD deb will not contain any autopkgtest so once the
> transition to the snap is done, autopkgtest will effectively always be a
> no-op.

... which is interpreted as a failing autopkg test. You have to add an always
succeeding autopkg test.

--
ubuntu-devel mailing list
ubuntu-devel@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel